package com.izouma.nineth.dto.userfund;

import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;

import java.math.BigDecimal;
import java.util.List;

/**
 * 交易资金流水
 *
 */
public class TradeLogPageDTO<T> extends PageImpl {

    private BigDecimal totalOutAmount;

    private BigDecimal totalInAmount;

    public TradeLogPageDTO(List<T> content, Pageable pageable, long total) {
        super(content, pageable, total);
    }

    public TradeLogPageDTO(List<T> content) {
        super(content);
    }

    public BigDecimal getTotalOutAmount() {
        return totalOutAmount;
    }

    public void setTotalOutAmount(BigDecimal totalOutAmount) {
        this.totalOutAmount = totalOutAmount;
    }

    public BigDecimal getTotalInAmount() {
        return totalInAmount;
    }

    public void setTotalInAmount(BigDecimal totalInAmount) {
        this.totalInAmount = totalInAmount;
    }


}
